
From: Nathan Lynch <nathanl@austin.ibm.com>

From a ppc64 build:

   CC      mm/slab.o
mm/slab.c: In function `cache_alloc_debugcheck_after':
mm/slab.c:1976: warning: cast from pointer to integer of different size


---

 25-akpm/mm/slab.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/slab.c~slab-warning-fix mm/slab.c
--- 25/mm/slab.c~slab-warning-fix	Fri Feb 27 15:43:05 2004
+++ 25-akpm/mm/slab.c	Fri Feb 27 15:43:05 2004
@@ -1961,7 +1961,7 @@ cache_alloc_debugcheck_after(kmem_cache_
 		slabp = GET_PAGE_SLAB(virt_to_page(objp));
 
 		objnr = (objp - slabp->s_mem) / cachep->objsize;
-		slab_bufctl(slabp)[objnr] = (int)caller;
+		slab_bufctl(slabp)[objnr] = (unsigned long)caller;
 	}
 	objp += obj_dbghead(cachep);
 	if (cachep->ctor && cachep->flags & SLAB_POISON) {

_
